QXmpp: QXmppSdpParameter Class Reference

QXmpp Version: 1.14.3

Loading...
Searching...
No Matches
QXmppSdpParameter Class Reference

The QXmppSdpParameter class represents a Session Description Protocol (SDP) parameter specified by RFC 4566 and used by several XEPs based on XEP-0166: Jingle. More...

## Public Member Functions
| QXmppSdpParameter ()
QString | name () const
void | setName (const QString &name)
QString | value () const
void | setValue (const QString &value)

## Static Public Member Functions
static bool | isSdpParameter (const QDomElement &element)

## Detailed Description

The QXmppSdpParameter class represents a Session Description Protocol (SDP) parameter specified by RFC 4566 and used by several XEPs based on XEP-0166: Jingle.

Since
  QXmpp 1.5

## Constructor & Destructor Documentation

## ◆ QXmppSdpParameter()

QXmppSdpParameter::QXmppSdpParameter | ( |  | ) |

Constructs a Session Description Protocol parameter.

## Member Function Documentation

## ◆ isSdpParameter()

bool QXmppSdpParameter::isSdpParameter | ( | const QDomElement & | element | ) |
| static

Determines whether the given DOM element is a Session Description Protocol parameter element.

Parameters

  element | DOM element being checked

Returns
  whether element is a Session Description Protocol parameter element

## ◆ name()

QString QXmppSdpParameter::name | ( |  | ) | const

Returns the name of the parameter.

Returns
  the parameter's name

## ◆ setName()

void QXmppSdpParameter::setName | ( | const QString & | name | ) |

Sets the name of the parameter.

Parameters

  name | parameter's name

## ◆ setValue()

void QXmppSdpParameter::setValue | ( | const QString & | value | ) |

Sets the value of the parameter.

A parameter in the form "a=b" can be created by this method. Any other form of parameters can be created by not using this method. The value stays a default-constructed QString then.

Parameters

  value | parameter's value

## ◆ value()

QString QXmppSdpParameter::value | ( |  | ) | const

Returns the value of the parameter.

Returns
  the parameter's value

The documentation for this class was generated from the following files:

- QXmppJingleData.h
- QXmppJingleData.cpp